import { getIdFromGraphQLId } from '~/graphql_shared/utils';
import {
  redirectTo,
  setUrlParams,
  relativePathToAbsolute,
  getBaseURL,
} from '~/lib/utils/url_utility';

export const returnToPreviousPageFactory = ({
  allowedPaths,
  profilesLibraryPath,
  urlParamKey,
}) => ({ id } = {}) => {
  const redirectPath = allowedPaths.find((path) => document.referrer?.includes(path));

  // when previous page is not an allowed path
  if (!redirectPath) return redirectTo(profilesLibraryPath);

  // otherwise redirect to the previous page along
  // with the given profile id
  const redirectPathWithId = id
    ? setUrlParams(
        { [urlParamKey]: getIdFromGraphQLId(id) },
        relativePathToAbsolute(redirectPath, getBaseURL()),
      )
    : redirectPath;

  return redirectTo(redirectPathWithId);
};
