# frozen_string_literal: true

module Types
  class VulnerabilityScannerType < BaseObject
    graphql_name 'VulnerabilityScanner'
    description 'Represents a vulnerability scanner'

    authorize :read_vulnerability_scanner

    field :id, GraphQL::ID_TYPE, null: true,
          description: 'ID of the scanner.'

    field :name, GraphQL::STRING_TYPE, null: true,
          description: 'Name of the vulnerability scanner.'

    field :external_id, GraphQL::STRING_TYPE, null: true,
          description: 'External ID of the vulnerability scanner.'

    field :vendor, GraphQL::STRING_TYPE, null: true,
          description: 'Vendor of the vulnerability scanner.'

    field :report_type, VulnerabilityReportTypeEnum, null: true,
          description: 'Type of the vulnerability report.'
  end
end
